summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@uclibc-ng.org>2016-10-06 20:06:28 +0200
committerWaldemar Brodkorb <wbx@uclibc-ng.org>2016-10-06 20:06:28 +0200
commit38419263f6033f1ac086f27d80136eb030c9cb4f (patch)
tree9c6ce13c444632b34c467d47747947f2474ab708 /scripts
parent48f0e5e16de67b3870e5f3f05956978f925c2efe (diff)
add liberation truetype font package and add mkfontscale check, complete the other font checks
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/prereq.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 769487df7..a27b443c4 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -704,6 +704,30 @@ else
NEED_XKBCOMP="$NEED_XKBCOMP xkeyboard-config"
fi
+ if [ -n "$ADK_PACKAGE_FONT_BH_100DPI" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bh-100dpi"
+ fi
+
+ if [ -n "$ADK_PACKAGE_FONT_BH_75DPI" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bh-75dpi"
+ fi
+
+ if [ -n "$ADK_PACKAGE_FONT_BH_TYPE1" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bh-type1"
+ fi
+
+ if [ -n "$ADK_PACKAGE_FONT_BH_TTF" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bh-ttf"
+ fi
+
+ if [ -n "$ADK_PACKAGE_FONT_BH_LUCIDATYPEWRITER_100DPI" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bh-lucidatypewriter-100dpi"
+ fi
+
+ if [ -n "$ADK_PACKAGE_FONT_BH_LUCIDATYPEWRITER_75DPI" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bh-lucidatypewriter-75dpi"
+ fi
+
if [ -n "$ADK_PACKAGE_FONT_BITSTREAM_100DPI" ]; then
NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-100dpi"
fi
@@ -712,6 +736,10 @@ else
NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-75dpi"
fi
+ if [ -n "$ADK_PACKAGE_FONT_BITSTREAM_TYPE1" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-type1"
+ fi
+
if [ -n "$ADK_PACKAGE_FONT_ADOBE_100DPI" ]; then
NEED_MKFONTDIR="$NEED_MKFONTDIR font-adobe-100dpi"
fi
@@ -720,6 +748,18 @@ else
NEED_MKFONTDIR="$NEED_MKFONTDIR font-adobe-75dpi"
fi
+ if [ -n "$ADK_PACKAGE_FONT_XFREE86_TYPE1" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-xfree86-type1"
+ fi
+
+ if [ -n "$ADK_PACKAGE_FONT_MISC_MISC" ]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-misc-misc"
+ fi
+
+ if [ -n "$ADK_PACKAGE_LIBERATION_FONTS_TTF" ]; then
+ NEED_MKFONTSCALE="$NEED_MKFONTSCALE liberation-fonts-ttf"
+ fi
+
if [ -n "$NEED_MKFONTDIR" ]; then
if ! which mkfontdir >/dev/null 2>&1; then
printf "You need mkfontdir to build $NEED_MKFONTDIR \n"
@@ -727,6 +767,13 @@ else
fi
fi
+ if [ -n "$NEED_MKFONTSCALE" ]; then
+ if ! which mkfontscale >/dev/null 2>&1; then
+ printf "You need mkfontscale to build $NEED_MKFONTSCALE \n"
+ out=1
+ fi
+ fi
+
if [ -n "$NEED_XKBCOMP" ]; then
if ! which xkbcomp >/dev/null 2>&1; then
printf "You need xkbcomp to build $NEED_XKBCOMP \n"